Loading...
Searching...
No Matches
ElementT Struct Reference

## Data Fields

char * | exp_start
ElementTypeE | type
fxFltType | val
fxFltType | val1
fxFltType | val2
ImgAttrE | img_attr_qual
int | element_index
int | number_args
int | number_dest
int | operator_index
MagickBooleanType | do_push
MagickBooleanType | is_relative
PixelChannel | channel_qual
size_t | exp_len

## Detailed Description

Definition at line 673 of file fx.c.

## Field Documentation

## channel_qual

PixelChannel ElementT::channel_qual

Definition at line 699 of file fx.c.

## do_push

MagickBooleanType ElementT::do_push

Definition at line 695 of file fx.c.

## element_index

int ElementT::element_index

Definition at line 689 of file fx.c.

## exp_len

size_t ElementT::exp_len

Definition at line 702 of file fx.c.

## exp_start

char* ElementT::exp_start

Definition at line 675 of file fx.c.

## img_attr_qual

ImgAttrE ElementT::img_attr_qual

Definition at line 686 of file fx.c.

## is_relative

MagickBooleanType ElementT::is_relative

Definition at line 696 of file fx.c.

## number_args

int ElementT::number_args

Definition at line 690 of file fx.c.

## number_dest

int ElementT::number_dest

Definition at line 691 of file fx.c.

## operator_index

int ElementT::operator_index

Definition at line 692 of file fx.c.

## type

ElementTypeE ElementT::type

Definition at line 678 of file fx.c.

## val

fxFltType ElementT::val

Definition at line 681 of file fx.c.

## val1

fxFltType ElementT::val1

Definition at line 682 of file fx.c.

## val2

fxFltType ElementT::val2

Definition at line 683 of file fx.c.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickCore/fx.c